# Maintainer: Antoni Aloy Torrens <aaloytorrens@gmail.com>
pkgname=ruffle
pkgver=20210707
pkgrel=0
pkgdesc="A Flash Player emulator written in Rust"
arch=('amd64')
url="https://ruffle.rs/"
license=('Apache' 'MIT')
depends=('libssl1.1' 'zlib1g' 'libxcb1' 'libasound2')
# FIXME, obsbuilder does not let me parse with custom variables
source=("https://github.com/ruffle-rs/ruffle/releases/download/nightly-2021-07-07/ruffle-nightly-2021_07_07-linux-x86_64.tar.gz")
sha256sums=('dab23731f4fec741a6e7759fbfa91f63e15ac851f223a69f87838c8433d365f7')

package() {
	cd "$srcdir/"
	install -Dm755 -t "$pkgdir/usr/bin/" ruffle
	install -Dm644 -t "$pkgdir/usr/share/doc/$pkgname/" README.md
	install -Dm644 -t "$pkgdir/usr/share/licenses/$pkgname/" LICENSE.md
}
